> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 모델 체크포인트 목록



## OpenAPI

````yaml /ko/serverless-training/api-reference/openapi.json get /v1/preview/models/{model_id}/checkpoints
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models/{model_id}/checkpoints:
    get:
      tags:
        - models
      summary: 모델 체크포인트 목록
      operationId: list_model_checkpoints_v1_preview_models__model_id__checkpoints_get
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            title: Model Id
            type: string
        - description: 페이지네이션 커서 - 이전 페이지 마지막 항목의 ID
          in: query
          name: after
          required: false
          schema:
            description: 페이지네이션 커서 - 이전 페이지 마지막 항목의 ID
            title: After
            type: string
        - description: 반환할 항목 수
          in: query
          name: limit
          required: false
          schema:
            default: 20
            description: 반환할 항목 수
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - description: 정렬 순서
          in: query
          name: order
          required: false
          schema:
            default: asc
            description: 정렬 순서
            enum:
              - asc
              - desc
            title: Order
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_CheckpointResponse_'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_CheckpointResponse_:
      properties:
        data:
          description: 항목 배열
          items:
            $ref: '#/components/schemas/CheckpointResponse'
          title: Data
          type: array
        first_id:
          default: ''
          description: 현재 페이지의 첫 번째 항목 ID
          title: First Id
          type: string
        has_more:
          description: 사용 가능한 항목이 더 있는지 여부
          title: Has More
          type: boolean
        last_id:
          default: ''
          description: 현재 페이지의 마지막 항목 ID
          title: Last Id
          type: string
        object:
          default: list
          description: 객체 유형 식별자
          title: Object
          type: string
      required:
        - data
        - has_more
      title: PaginatedResponse[CheckpointResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CheckpointResponse:
      description: Checkpoint 응답용 스키마입니다.
      properties:
        id:
          format: uuid
          title: Id
          type: string
        metrics:
          additionalProperties:
            type: number
          title: Metrics
          type: object
        step:
          title: Step
          type: integer
      required:
        - id
        - step
        - metrics
      title: CheckpointResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````